Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6RunMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.mortbay.jetty.plugin.AbstractJettyMojo
              org.mortbay.jetty.plugin.AbstractJettyRunMojo
                  org.mortbay.jetty.plugin.Jetty6RunMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class Jetty6RunMojo

extends AbstractJettyRunMojo

This goal is used in-situ on a Maven project without first requiring that the project is assembled into a war, saving time during the development cycle. The plugin forks a parallel lifecycle to ensure that the "compile" phase has been completed before invoking Jetty. This means that you do not need to explicity execute a "mvn compile" first. It also means that a "mvn clean jetty:run" will ensure that a full fresh compile is done before invoking Jetty.

Once invoked, the plugin can be configured to run continuously, scanning for changes in the project and automatically performing a hot redeploy when necessary. This allows the developer to concentrate on coding changes to the project using their IDE of choice and have those changes immediately and transparently reflected in the running web container, eliminating development time that is wasted on rebuilding, reassembling and redeploying.

You may also specify the location of a jetty.xml file whose contents will be applied before any plugin configuration. This can be used, for example, to deploy a static webapp that is not part of your maven build.

There is a reference guide to the configuration parameters for this plugin, and more detailed information with examples in the Configuration Guide.

Author:
  janb

Field Summary

Fields inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`PORT_SYSPROPERTY`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`Jetty6RunMojo()`

Method Summary
`void` | `applyJettyXml()`
`JettyPluginServer` | `createServer()` create a proxy that wraps a particular jetty version Server object
`void` | `execute()` Run the mojo
`void` | `finishConfigurationBeforeStart()`
`Object[]` | `getConfiguredConnectors()`
`ContextHandler[]` | `getConfiguredContextHandlers()`
`Object` | `getConfiguredRequestLog()`
`Object[]` | `getConfiguredUserRealms()`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJettyRunMojo
`checkPomConfiguration, configureScanner, configureWebApplication, getClassesDirectory, getClassPathFiles, getExtraScanTargets, getJettyEnvXml, getJettyEnvXmlFile, getWebAppSourceDirectory, getWebXml, getWebXmlFile, setClassPathFiles, setExtraScanTargets, setJettyEnvXmlFile, setWebXmlFile`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`findJettyWebXmlFile, getContextPath, getJettyXmlFileName, getOverrideWebXml, getProject, getScanIntervalSeconds, getScanList, getScanner, getScannerListeners, getServer, getSystemProperties, getTmpDirectory, getWebApplication, getWebDefaultXml, setScanList, setScannerListeners, setServer, setWebApplication, startJetty`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jetty6RunMojo

    public Jetty6RunMojo()

Method Detail

### getConfiguredRequestLog

    public Object getConfiguredRequestLog()

  Specified by:
    `getConfiguredRequestLog` in class `AbstractJettyMojo`

### getConfiguredConnectors

    public Object[] getConfiguredConnectors()

  Specified by:
    `getConfiguredConnectors` in class `AbstractJettyMojo`
  Returns:
    Returns the connectors configured in the pom
  See Also:
    `AbstractJettyMojo.getConfiguredConnectors()`

### getConfiguredUserRealms

    public Object[] getConfiguredUserRealms()

  Specified by:
    `getConfiguredUserRealms` in class `AbstractJettyMojo`
  Returns:
    Returns the realms configured in the pom
  See Also:
    `AbstractJettyMojo.getConfiguredUserRealms()`

### getConfiguredContextHandlers

    public ContextHandler[] getConfiguredContextHandlers()

  Returns:
    Returns the contextHandlers.

### createServer

    public JettyPluginServer createServer()

  Description copied from class: `AbstractJettyMojo`
  create a proxy that wraps a particular jetty version Server object

  Specified by:
    `createServer` in class `AbstractJettyMojo`
  Returns:
  See Also:
    `AbstractJettyMojo.createServer()`

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()
                                        throws Exception

  Specified by:
    `finishConfigurationBeforeStart` in class `AbstractJettyMojo`
  Throws:
    `Exception`

### applyJettyXml

    public void applyJettyXml()
                       throws Exception

  Specified by:
    `applyJettyXml` in class `AbstractJettyMojo`
  Throws:
    `Exception`

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Description copied from class: `AbstractJettyRunMojo`
  Run the mojo

  Specified by:
    `execute` in interface `org.apache.maven.plugin.Mojo`
  Overrides:
    `execute` in class `AbstractJettyRunMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`
  See Also:
    `Mojo.execute()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.